package com.asset.service.impl.system;

import com.asset.common.Common;
import com.asset.domain.system.Certificate;
import com.asset.mapper.system.CertificateMapper;
import com.asset.service.system.CertificateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.*;

/*
 * @author xiaol
 * @date 2020/03/10
 */

@Service
@Transactional
public class CertificateServiceImpl extends ServiceImpl<CertificateMapper, Certificate> implements CertificateService {

    @Autowired
    CertificateMapper certificateMapper;

    @Override
    public boolean insertAllCycle(String expert, Integer user_id, Integer type) {
        String[] arr = expert.split(",");
        List<Certificate> list = new ArrayList<>();
        for (int i=0;i<arr.length;i++){
            Certificate certificate = new Certificate();
            certificate.setUser_id(user_id);
            certificate.setImage(arr[i]);
            certificate.setType(type);
            certificate.setCreate_at(Common.getDate());
            list.add(certificate);
        }
        return certificateMapper.insertAllCertificate(list);
    }

    public int insertCycle(String expert, Integer user_id,Integer type){
        Certificate certificate = new Certificate();
        certificate.setUser_id(user_id);
        certificate.setImage(expert);
        certificate.setType(type);
        certificate.setCreate_at(Common.getDate());
        return certificateMapper.insert(certificate);
    }

}
