package com.asset.controller.system;

import com.asset.common.ResultUtil;
import com.asset.domain.Result;
import com.asset.domain.system.Job;
import com.asset.core.enums.CodeEnum;
import com.asset.service.system.JobService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/*
 * @author xiaol
 * @date 2020/03/10
 */

@RestController
@RequestMapping(value = "/job")
public class JobController {

    @Autowired
    JobService jobService;

    @GetMapping("/getJobList")
    public Result getJobList() {
        List<Job> list = jobService.list();
        return ResultUtil.success(CodeEnum.SUCCESS,list);
    }
}
