package com.asset.service.system;

import com.asset.domain.system.Job;
import com.asset.domain.system.LoginLog;
import com.asset.mapper.system.JobMapper;
import com.asset.mapper.system.LoginLogMapper;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/*
 * @author xiaol
 * @date 2020/03/04
 */
@Service("LoginLogService")
public class LoginLogService implements LoginLogMapper {

    @Autowired
    LoginLogMapper loginLogMapper;

    @Override
    public LoginLog getLoginLogByUid(Integer user_id) {
        return loginLogMapper.getLoginLogByUid(user_id);
    }

    @Override
    public Page<LoginLog> loginLogList() {
        return loginLogMapper.loginLogList();
    }

    @Override
    public int insertLoginLog(LoginLog loginLog) {
        return loginLogMapper.insertLoginLog(loginLog);
    }

}
